[PATCH v2 02/30] u_boot_pylib: Avoid deleting the test_util.py file
Simon Glass
sjg at chromium.org
Sun Apr 30 03:29:35 CEST 2023
This is needed, so update the removal code to keep it.
Signed-off-by: Simon Glass <sjg at chromium.org>
---
Changes in v2:
- Split out u_boot_pylib from the subprocess patch
scripts/make_pip.sh | 7 ++++++-
1 file changed, 6 insertions(+), 1 deletion(-)
diff --git a/scripts/make_pip.sh b/scripts/make_pip.sh
index 4602dcf61c88..ef43e028e385 100755
--- a/scripts/make_pip.sh
+++ b/scripts/make_pip.sh
@@ -91,7 +91,12 @@ find ${dest} -name __pycache__ -type f -exec rm {} \;
find ${dest} -depth -name __pycache__ -exec rmdir 112 \;
# Remove test files
-rm -rf ${dest}/*test*
+for path in ${dest}/*test*; do
+ echo ${path}
+ if ! [[ "${path}" =~ .*test_util.* ]]; then
+ rm -rf ${path}
+ fi
+done
mkdir ${dir}/tests
cd ${dir}
--
2.40.1.495.gc816e09b53d-goog
More information about the U-Boot
mailing list